import { RenderContext } from "../../context";
import { Environment } from "../../environment";
import { Loader, TemplateSource } from "../../loader";
import { Template } from "../../template";
import { ContextScope } from "../../types";
/**
 * A template loader that will try each of an array of loaders until
 * a template is found, or throw a `TemplateNotFoundError` if none of
 * the loaders could find the template.
 */
export declare class ChoiceLoader extends Loader {
    readonly loaders: Loader[];
    /**
     *
     * @param loaders -
     */
    constructor(loaders: Loader[]);
    getSource(): Promise<TemplateSource>;
    getSourceSync(): TemplateSource;
    load(name: string, environment: Environment, context?: RenderContext, globals?: ContextScope, loaderContext?: {
        [index: string]: unknown;
    }): Promise<Template>;
    loadSync(name: string, environment: Environment, context?: RenderContext, globals?: ContextScope, loaderContext?: {
        [index: string]: unknown;
    }): Template;
}
