import { Loader, TemplateSource } from "../../loader";
export type XMLHttpRequestLoaderOptions = {
    /**
     * Indicates if the loader should bust the browser's cache by
     * appending the current timestamp to each URL as a query string
     * parameter.
     */
    bustBrowserCache?: boolean;
};
/**
 * A template loader that uses XMLHttpRequest to fetch templates.
 */
export declare class XMLHttpRequestLoader extends Loader {
    readonly baseURL: string;
    readonly bustBrowserCache: boolean;
    /**
     * The `XMLHttpRequestLoader` constructor.
     *
     * @param baseURL - The base URL from which to fetch templates from.
     * @param options - Loader options.
     */
    constructor(baseURL: string, options?: XMLHttpRequestLoaderOptions);
    getSource(name: string): Promise<TemplateSource>;
    getSourceSync(name: string): TemplateSource;
    protected url(name: string): string;
    protected fetch(url: string): Promise<XMLHttpRequest>;
}
