import { ChildNode, Node } from "../../ast";
import { RenderContext } from "../../context";
import { Expression } from "../../expression";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class AssignTag implements Tag {
    protected static RE_ASSIGN: RegExp;
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof AssignNode;
    protected parseExpression(value: string, startIndex: number): Expression;
    parse(stream: TokenStream): Node;
}
export declare class AssignNode implements Node {
    readonly token: Token;
    readonly name: string;
    readonly expression: Expression;
    constructor(token: Token, name: string, expression: Expression);
    render(context: RenderContext): Promise<void>;
    renderSync(context: RenderContext): void;
    children(): ChildNode[];
}
