import { BlockNode, Node, ChildNode } from "../../ast";
import { RenderContext } from "../../context";
import { Environment } from "../../environment";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class CaptureTag implements Tag {
    protected static END_CAPTURE_BLOCK: Set<string>;
    protected static RE_CAPTURE: RegExp;
    readonly block = true;
    readonly name: string;
    readonly end: string;
    protected nodeClass: typeof CaptureNode;
    parse(stream: TokenStream, environment: Environment): Node;
}
export declare class CaptureNode implements Node {
    readonly token: Token;
    readonly name: string;
    readonly block: BlockNode;
    readonly captureOutput = true;
    constructor(token: Token, name: string, block: BlockNode);
    protected assign(context: RenderContext, buffer: RenderStream): void;
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
