import { Node } from "../../ast";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class CommentTag implements Tag {
    readonly block = true;
    readonly name: string;
    readonly end: string;
    protected nodeClass: typeof CommentNode;
    parse(stream: TokenStream): Node;
}
export declare class CommentNode implements Node {
    readonly token: Token;
    readonly text: string;
    constructor(token: Token, text: string);
    render(): Promise<void>;
    renderSync(): void;
}
