import { ChildNode, Node } from "../../ast";
import { RenderContext } from "../../context";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class DecrementTag implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof DecrementNode;
    parse(stream: TokenStream): Node;
}
export declare class DecrementNode implements Node {
    readonly token: Token;
    readonly identifier: string;
    constructor(token: Token, identifier: string);
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
