import { ChildNode, Node } from "../../ast";
import { RenderContext } from "../../context";
import { Expression, Identifier, StringLiteral } from "../../expression";
import { ExpressionTokenStream } from "../../expressions/tokens";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class IncludeTag implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof IncludeNode;
    protected parseArgument(stream: ExpressionTokenStream): [string, Expression];
    parse(stream: TokenStream): Node;
}
export declare class IncludeNode implements Node {
    readonly token: Token;
    readonly templateName: StringLiteral | Identifier;
    readonly bindName?: Identifier | undefined;
    readonly alias?: string | undefined;
    readonly args: {
        [index: string]: Expression;
    };
    protected tag: string;
    constructor(token: Token, templateName: StringLiteral | Identifier, bindName?: Identifier | undefined, alias?: string | undefined, args?: {
        [index: string]: Expression;
    });
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
