import { BlockNode, Node, ChildNode } from "../../ast";
import { RenderContext } from "../../context";
import { Environment } from "../../environment";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class LiquidTag implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof LiquidNode;
    parse(stream: TokenStream, environment: Environment): Node;
}
export declare class LiquidNode implements Node {
    readonly token: Token;
    readonly block: BlockNode;
    constructor(token: Token, block: BlockNode);
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
