import { ChildNode, Node } from "../../ast";
import { RenderContext } from "../../context";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class TemplateLiteral implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof LiteralNode;
    parse(stream: TokenStream): Node;
}
export declare class LiteralNode implements Node {
    readonly token: Token;
    constructor(token: Token);
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
