import { ChildNode, Node } from "../../ast";
import { RenderContext } from "../../context";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
import { Expression } from "../../expression";
export declare class OutputStatement implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof OutputStatementNode;
    parse(stream: TokenStream): Node;
}
export declare class OutputStatementNode implements Node {
    readonly token: Token;
    readonly expression: Expression;
    readonly forceOutput = true;
    constructor(token: Token, expression: Expression);
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    toString(): string;
    children(): ChildNode[];
}
