import { BlockNode, Node, ChildNode } from "../../ast";
import { RenderContext } from "../../context";
import { Environment } from "../../environment";
import { LoopExpression } from "../../expression";
import { RenderStream } from "../../io/output_stream";
import { Tag } from "../../tag";
import { Token, TokenStream } from "../../token";
export declare class TableRowTag implements Tag {
    protected static END_TAGBLOCK: Set<string>;
    readonly block = true;
    readonly name: string;
    readonly end: string;
    protected nodeClass: typeof TableRowNode;
    parse(stream: TokenStream, environment: Environment): Node;
}
export declare class TableRowNode implements Node {
    readonly token: Token;
    readonly expression: LoopExpression;
    readonly block: BlockNode;
    constructor(token: Token, expression: LoopExpression, block: BlockNode);
    render(context: RenderContext, out: RenderStream): Promise<void>;
    renderSync(context: RenderContext, out: RenderStream): void;
    children(): ChildNode[];
}
