import { Tokenizer } from "../common";
/**
 * Regular expression patterns for tokens in a Liquid argument list.
 */
export declare const RULES: string[][];
/**
 * The compiled regular expression, built using {@link RULES}.
 */
export declare const RE: RegExp;
/***
 * Returns a generator function for tokenizing argument list expressions
 * using the given regular expression and keywords.
 */
export declare function makeTokenizer(re: RegExp, keywords: Set<string>): Tokenizer;
export declare const tokenize: Tokenizer;
