import { Expression, BooleanExpression, InfixExpression, PrefixExpression } from "../../expression";
import { ExpressionTokenStream } from "../tokens";
type parseFunc = (stream: ExpressionTokenStream) => Expression;
export declare const TOKEN_MAP: Map<string, parseFunc>;
export declare function parsePrefixExpression(stream: ExpressionTokenStream): PrefixExpression;
export declare function parseInfixExpression(stream: ExpressionTokenStream, left: Expression): InfixExpression;
export declare function parseObject(stream: ExpressionTokenStream, precedence?: number): Expression;
/**
 * Parse an expression that follows Liquid `if` tag semantics plus a
 * logical `not` operator and grouping with parentheses.
 */
export declare function parse(expr: string, startIndex?: number): BooleanExpression;
export {};
