import { Token, TokenStream } from "../token";
export declare const TOKEN_SKIP = "TOKEN_SKIP";
export declare const TOKEN_ILLEGAL = "TOKEN_ILLEGAL";
export declare const TOKEN_TRUE = "true";
export declare const TOKEN_FALSE = "false";
export declare const TOKEN_IDENT = "TOKEN_IDENT";
export declare const TOKEN_IDENT_INDEX = "TOKEN_IDENT_INDEX";
export declare const TOKEN_IDENT_STRING = "TOKEN_IDENT_STRING";
export declare const TOKEN_DOT = "TOKEN_DOT";
export declare const TOKEN_LBRACKET = "TOKEN_LBRACKET";
export declare const TOKEN_RBRACKET = "TOKEN_RBRACKET";
export declare const TOKEN_INTEGER = "TOKEN_INTEGER";
export declare const TOKEN_FLOAT = "TOKEN_FLOAT";
export declare const TOKEN_LPAREN = "TOKEN_LPAREN";
export declare const TOKEN_RPAREN = "TOKEN_RPAREN";
export declare const TOKEN_RANGE = "TOKEN_RANGE";
export declare const TOKEN_RANGE_LPAREN = "TOKEN_RANGE_LPAREN";
export declare const TOKEN_STRING = "TOKEN_STRING";
export declare const TOKEN_EOF = "TOKEN_EOF";
export declare const TOKEN_NEWLINE = "TOKEN_NEWLINE";
export declare const TOKEN_EMPTY = "empty";
export declare const TOKEN_NIL = "nil";
export declare const TOKEN_NULL = "null";
export declare const TOKEN_BLANK = "blank";
export declare const TOKEN_WITH = "with";
export declare const TOKEN_FOR = "for";
export declare const TOKEN_AS = "as";
export declare const TOKEN_BY = "by";
export declare const TOKEN_CONTAINS = "contains";
export declare const TOKEN_IN = "in";
export declare const TOKEN_LIMIT = "limit";
export declare const TOKEN_OFFSET = "offset";
export declare const TOKEN_REVERSED = "reversed";
export declare const TOKEN_CONTINUE = "continue";
export declare const TOKEN_COLS = "cols";
export declare const TOKEN_DPIPE = "TOKEN_DPIPE";
export declare const TOKEN_PIPE = "TOKEN_PIPE";
export declare const TOKEN_COLON = "TOKEN_COLON";
export declare const TOKEN_COMMA = "TOKEN_COMMA";
export declare const TOKEN_ASSIGN = "TOKEN_ASSIGN";
export declare const TOKEN_IF = "if";
export declare const TOKEN_ELSE = "else";
export declare const TOKEN_AND = "and";
export declare const TOKEN_OR = "or";
export declare const TOKEN_NOT = "not";
export declare const TOKEN_EQ = "TOKEN_EQ";
export declare const TOKEN_NE = "TOKEN_NE";
export declare const TOKEN_LG = "TOKEN_LG";
export declare const TOKEN_LT = "TOKEN_LT";
export declare const TOKEN_GT = "TOKEN_GT";
export declare const TOKEN_LE = "TOKEN_LE";
export declare const TOKEN_GE = "TOKEN_GE";
export declare const TOKEN_OP = "TOKEN_OP";
export declare const OPERATORS: Map<string, string>;
export declare const REVERSE_OPERATORS: Map<string, string>;
export declare class ExpressionTokenStream implements TokenStream {
    private tokens;
    private _current;
    private _peek;
    private _buf;
    constructor(tokens: IterableIterator<Token>);
    expectTag(): void;
    get current(): Token;
    get peek(): Token;
    next(): Token;
    push(token: Token): void;
    expect(kind: string): void;
    expectPeek(kind: string): void;
    protected _next(): Token;
}
/**
 * Return the operator that matches the given token kind, or the
 * input kind if it's not an operator token.
 */
export declare function reverseOperatorLookup(kind: string): string;
