import { RenderContext } from "./context";
export type FilterContext = {
    /**
     * The active render context.
     */
    context: RenderContext;
    /**
     * Keyword/named filter arguments. As used by the `default` filter.
     */
    options: {
        [index: string]: unknown;
    };
};
export type Filter = {
    (this: FilterContext, left: unknown, ...args: unknown[]): unknown;
};
/**
 * A utility function that checks throws an error if the given number of
 * arguments are not between the expected minimum and maximum.
 */
export declare function checkArguments(n: number, max: number, min?: number): void;
/**
 * Throw an error if the given filter context contains options.
 */
export declare function throwIfOptions(context: FilterContext): void;
