export declare const TOKEN_LITERAL = "literal";
export declare const TOKEN_STATEMENT = "TOKEN_STATEMENT";
export declare const TOKEN_TAG = "TOKEN_TAG";
export declare const TOKEN_RAW = "TOKEN_RAW";
export declare const TOKEN_EOF = "TOKEN_EOF";
export declare const TOKEN_EXPRESSION = "TOKEN_EXPRESSION";
export declare class Token {
    readonly kind: string;
    readonly value: string;
    readonly index: number;
    readonly input: string;
    constructor(kind: string, value: string, index: number, input: string);
    toString(): string;
    lineNumber(): number;
}
export interface TokenStream {
    current: Token;
    peek: Token;
    next(): Token;
    expect(kind: string): void;
    expectTag(name: string): void;
}
export declare class TemplateTokenStream implements TokenStream {
    private tokens;
    private _current;
    private _peek;
    constructor(tokens: IterableIterator<Token>);
    get current(): Token;
    get peek(): Token;
    expect(kind: string): void;
    expectTag(name: string): void;
    next(): Token;
    protected _next(): Token;
}
